Package org.codehaus.groovy.runtime.metaclass

# Class TemporaryMethodKey

java.lang.Object
org.codehaus.groovy.runtime.MethodKey
org.codehaus.groovy.runtime.metaclass.TemporaryMethodKey

public class TemporaryMethodKey extends MethodKey
A temporary implementation of MethodKey used to perform a fast lookup for a method using a set of arguments to a method

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemporaryMethodKey(Class sender, String name, Object[] parameterValues, boolean isCallToSuper)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParameterCount()`
  `Class`
  `getParameterType(int index)`

  ### Methods inherited from class org.codehaus.groovy.runtime.MethodKey

  `createCopy, createHashCode, equals, equals, getName, getParamterTypes, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TemporaryMethodKey

    public TemporaryMethodKey(Class sender, String name, Object[] parameterValues, boolean isCallToSuper)

- ## Method Details

  - ### getParameterCount

    public int getParameterCount()
    Specified by:
      `getParameterCount` in class `MethodKey`

  - ### getParameterType

    public Class getParameterType(int index)
    Specified by:
      `getParameterType` in class `MethodKey`